using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PTMedicalInsurance.Helper;
using PTMedicalInsurance.Variables;
using PTMedicalInsurance.Forms;
using System.Windows.Forms;

namespace PTMedicalInsurance.Business.Core.SelfServiceMachine.Process.OutPat
{
    class PreWarning : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            #region【门诊就诊信息上传成功后调用3101事前服务】    
            //1.获取3101入参报文
            if (Global.curEvt.ext.isOpenAnalysis)
            {
                if (hBus.PreAnalysis(Global.curEvt.ext.preTrigScen, "", out errMsg) != 0)
                {
                    outParam = JsonHelper.setExceptionJson(-1, "事前分析", errMsg).ToString();
                    return Error(outParam);
                }
            }
            else
            {
                outParam = input.ToString();
            }
            return Success();
            #endregion
        }
    }
}
